curl --request POST \
--url 'https://api.business-os.de/v2/datev-duo/beleg-bereitstellen?quelle=API' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"datei": {
"content": "JVBERi0xLjQK...",
"dateiname": "rechnung-2025-03.pdf"
},
"belegtyp": "Rechnungseingang",
"id": "b5e624e5-fb9e-4836-a443-87a3820f5b48",
"belegnotiz": "Bürobedarf März"
}
'import requests
url = "https://api.business-os.de/v2/datev-duo/beleg-bereitstellen"
payload = {
"datei": {
"content": "JVBERi0xLjQK...",
"dateiname": "rechnung-2025-03.pdf"
},
"belegtyp": "Rechnungseingang",
"id": "b5e624e5-fb9e-4836-a443-87a3820f5b48",
"belegnotiz": "Bürobedarf März"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
datei: {content: 'JVBERi0xLjQK...', dateiname: 'rechnung-2025-03.pdf'},
belegtyp: 'Rechnungseingang',
id: 'b5e624e5-fb9e-4836-a443-87a3820f5b48',
belegnotiz: 'Bürobedarf März'
})
};
fetch('https://api.business-os.de/v2/datev-duo/beleg-bereitstellen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Beleg bereitstellen
Stellt eine Belegdatei für DATEV Unternehmen Online bereit (Posteingang).
Kosten: 1 Credit
Authorizations
Dein Business OS API Key. Erstelle einen unter app.business-os.de → API Keys.
Query Parameters
UUID der DATEV-Verbindung. Abrufbar über den /connections-Endpunkt des jeweiligen Moduls (z. B. GET /v2/datev-duo/connections).
"abbc18fd-ba5e-4dfd-afc4-9dec0c0ad145"
Kennzeichnung der Aufrufquelle für die Nutzungsanalyse. Standard bei Weglassen: API (direkter API-Aufruf). Für Automationen aus Make z. B. Make angeben.
"Make"
Body
Show child attributes
Show child attributes
Belegtyp wie das Feld belegtyp aus GET /v2/datev-duo/belegtypen
"Rechnungseingang"
Optionale GUID zur eindeutigen Identifikation des Dokuments
"b5e624e5-fb9e-4836-a443-87a3820f5b48"
Optionale Notiz für den Steuerberater (max. 60 Zeichen)
60"Bürobedarf März"